Subject: Re: cross compiler under Cygwin
From: [email-masked]
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 15 Mar 2001 15:07:35 +0100

hi,

i try this :
> gcc/config/arm/arm.[ch] files with something else (eg Hint->ARM_HINT)
=> #define ARM_HINT HOST_WIDE_INT

i rebuild ...

[...]
gcc -DCROSS_COMPILE -DIN_GCC     -g -O2  -DHAVE_CONFIG_H  -o genattr \
 genattr.o rtl.o bitmap.o print-rtl.o ` case "obstack.o" in ?*) echo obstack.o
;; esac ` ` case ""
  ;; esac ` ` case "" in ?*) echo  ;; esac `  ` case "" in ?*) echo  ;; esac ` `
case "" in ?*) ec
` -ladvapi32
./genattr ./config/arm/arm.md > tmp-attr.h
./move-if-change tmp-attr.h insn-attr.h
touch s-attr
make[1]: vfork: Permission denied
gcc -c -DCROSS_COMPILE -DIN_GCC     -g -O2  -DHAVE_CONFIG_H    -I. -I.
-I./config -I./../include .
make[1]: vfork: Permission denied
gcc -c -DCROSS_COMPILE -DIN_GCC     -g -O2  -DHAVE_CONFIG_H    -I. -I.
-I./config -I./../include .

make[1]: vfork: Permission denied
gcc -c -DCROSS_COMPILE -DIN_GCC     -g -O2  -DHAVE_CONFIG_H    -I. -I.
-I./config -I./../include t
make[1]: *** virtual memory exhausted.  Stop.
make[1]: Leaving directory `/gcc-2.95.2-6/gcc'
make: *** [all-gcc] Error 2

any idea ?

/pegase

> hello,
>
> 1)
> i do that :
> (/gcc-2.95.2-6 )$ ./configure --target=arm-strongarm-aout
> ==> ok for my makefile.
>
> 2)
> next, build the compiler, i do that :
> (/gcc-2.95.2-6 )$ make LANGUAGES= « c++ »
> [...]
> make[1]: Leaving directory `/gcc-2.95.2-6/etc'
> make[1]: Entering directory `/gcc-2.95.2-6/gcc'
> [...]
> gcc -DCROSS_COMPILE -DIN_GCC     -g -O2  -DHAVE_CONFIG_H    -I. -I.
> -I./config
> -I./../include \-DPREFIX=\"/usr/local\" \  -c `echo ./prefix.c | sed
> 's,^\./,,'`
> In file included from /usr/include/w32api/windef.h:143,
>                  from /usr/include/w32api/windows.h:96,
>                  from prefix.c:70:
> /usr/include/w32api/winnt.h:2266: two or more data types in declaration of
> `type name'
> make[1]: *** [prefix.o] Error 1
> make[1]: Leaving directory `/gcc-2.95.2-6/gcc'
> make: *** [all-gcc] Error 2
>
> somebody can help me, pleaaase ?
>
> /pegase
> Paris in France
>
> > hello everybody,
> >
> > i am new here.
> >
> > my problem :
> > i have linux and i do that :
> > sources file.c => build, StrongArm cross compiler GCC (sa110-le-gcc) =>bin
> > for Assabet (Intel)
> >
> > now,
> > i would like do the same in Cygwin ?
> > sources file.c => cross compiler GCC into Cygwin ???? => bin for
> > Assabet(Intel)
> >
> > but i don t know where can i find documentation to do that ? and how
> > can i buid this cross compiler GCC  for Cygwin ?
>
> i find this : http://www.objsw.com/docs
>
> >
> >
> > version of Cygwin : "CYGWIN_NT-4.0 PCCXXX 1.1.8(0.34/3/2) 2001-01-3110:08
> > i686 unknown"
> >
> > thinx in advance for your answer.
> >
> > /pegase
> > Paris in France
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple